Package io.dapr.actors.runtime

# Class ActorRuntimeConfig

java.lang.Object
io.dapr.actors.runtime.ActorRuntimeConfig

    public class ActorRuntimeConfig
    extends java.lang.Object

Represents the configuration for the Actor Runtime.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.time.Duration` | `getActorIdleTimeout()` | Gets the duration for Actors' timeout.
  `java.time.Duration` | `getActorScanInterval()` | Gets the duration to scan for Actors.
  `java.lang.Boolean` | `getDrainBalancedActors()` | Gets whether balanced actors should be drained.
  `java.time.Duration` | `getDrainOngoingCallTimeout()` | Gets the timeout to drain ongoing calls.
  `ActorRuntimeConfig` | `setActorIdleTimeout​(java.time.Duration actorIdleTimeout)` | Sets the duration for Actors' timeout.
  `ActorRuntimeConfig` | `setActorScanInterval​(java.time.Duration actorScanInterval)` | Sets the duration to scan for Actors.
  `ActorRuntimeConfig` | `setDrainBalancedActors​(java.lang.Boolean drainBalancedActors)` | Sets whether balanced actors should be drained.
  `ActorRuntimeConfig` | `setDrainOngoingCallTimeout​(java.time.Duration drainOngoingCallTimeout)` | Sets the timeout to drain ongoing calls.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getActorIdleTimeout

    public java.time.Duration getActorIdleTimeout()
    Gets the duration for Actors' timeout.
    Returns:
      Duration for Actors' timeout.

  - ### setActorIdleTimeout

    public ActorRuntimeConfig setActorIdleTimeout​(java.time.Duration actorIdleTimeout)
    Sets the duration for Actors' timeout.
    Parameters:
      `actorIdleTimeout` - Duration for Actors' timeout.
    Returns:
      This instance.

  - ### getActorScanInterval

    public java.time.Duration getActorScanInterval()
    Gets the duration to scan for Actors.
    Returns:
      The duration to scan for Actors.

  - ### setActorScanInterval

    public ActorRuntimeConfig setActorScanInterval​(java.time.Duration actorScanInterval)
    Sets the duration to scan for Actors.
    Parameters:
      `actorScanInterval` - The duration to scan for Actors.
    Returns:
      This instance.

  - ### getDrainOngoingCallTimeout

    public java.time.Duration getDrainOngoingCallTimeout()
    Gets the timeout to drain ongoing calls.
    Returns:
      The timeout to drain ongoing calls.

  - ### setDrainOngoingCallTimeout

    public ActorRuntimeConfig setDrainOngoingCallTimeout​(java.time.Duration drainOngoingCallTimeout)
    Sets the timeout to drain ongoing calls.
    Parameters:
      `drainOngoingCallTimeout` - The timeout to drain ongoing calls.
    Returns:
      This instance.

  - ### getDrainBalancedActors

    public java.lang.Boolean getDrainBalancedActors()
    Gets whether balanced actors should be drained.
    Returns:
      Whether balanced actors should be drained.

  - ### setDrainBalancedActors

    public ActorRuntimeConfig setDrainBalancedActors​(java.lang.Boolean drainBalancedActors)
    Sets whether balanced actors should be drained.
    Parameters:
      `drainBalancedActors` - Whether balanced actors should be drained.
    Returns:
      This instance.